Package Gnumed :: Package wxpython :: Module gmSOAPWidgets |
[frames] | no frames]

# Module gmSOAPWidgets

source code

GNUmed SOAP related widgets.

Version: $Revision: 1.114 $

Author: Carlos Moro <cfmoro1976@yahoo.es>, K.Hilbert <Karsten.Hilbert@gmx.net>

License: GPL

Classes
| cProgressNoteInputNotebook A notebook holding panels with progress note editors.
| cNotebookedProgressNoteInputPanel A panel for entering multiple progress notes in context.
| cSOAPLineDef
| cPopupDataHolder
| cResizingSoapWin
| cResizingSoapPanel Basic progress note panel.
| cSingleBoxSOAP if we separate it out like this it can transparently gain features
| cSingleBoxSOAPPanel Single Box free text SOAP input.

Functions
create_issue_popup(parent, pos, size, style, data_sink) | source code
create_vacc_popup(parent, pos, size, style, data_sink) | source code

Variables
| progress_note_keywords = `{'s': {'$missing_action': {}, 'phx$':`...``

Imports: types, logging, wx, gmDispatcher, gmI18N, gmExceptions, gmMatchProvider, gmTools, gmCfg, gmResizingWidgets, gmPhraseWheel, gmEMRStructWidgets, gmGuiHelpers, gmRegetMixin, gmEditArea, gmPatSearchWidgets, gmPerson, gmEMRStructItems, gmSOAPimporter, gmSurgery, gmPersonSearch, gmStaff

Variables Details

  ### progress_note_keywords Value:
      {'s': {'$missing_action': {}, 'phx$': {'widget_factory': create_issue_
      popup, 'widget_data_sink': None}, 'ea$:': {'widget_factory': create_is
      sue_popup, 'widget_data_sink': None}, '$vacc': {'widget_factory': crea
      te_vacc_popup, 'widget_data_sink': None}, 'impf:': {'widget_factory':
      create_vacc_popup, 'widget_data_sink': None}, 'icpc:': {}, 'icpc?': {}
      }, 'o': {'icpc:': {}, 'icpc?': {}}, 'a': {'icpc:': {}, 'icpc?': {}}, '
      p': {'$vacc': {'widget_factory': create_vacc_popup, 'widget_data_sink'
      : None}, 'icpc:': {}, 'icpc?': {}}}